package core.api.controller;


import core.entities.timemanager.AbstractSchedule;
import core.services.TaskScheduleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@CrossOrigin(origins = "*", maxAge = 3600)
@RestController
@RequestMapping("/api")
public class ScheduleController {

    @Autowired private TaskScheduleService taskScheduleService;
    @GetMapping("/schedules")
    public ResponseEntity<?> loadAllSchedulesOfUser() {
        String username = SecurityContextHolder.getContext().getAuthentication().getName();
        List<AbstractSchedule> schedules = taskScheduleService.getAllSchedulesOfUser(username);

        return ResponseEntity.ok(schedules);
    }
}
